Skip to main content
GET
/
v1
/
admin
/
dlq
List dead-letter failures
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/dlq \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "failures": [
    {
      "committed_batch_count": 0,
      "committed_document_count": 0,
      "dataset_id": "app-logs",
      "error_message": "Failed to parse record at line 10",
      "error_type": "ParseError",
      "failed_at": "2026-01-15T09:30:00Z",
      "failed_document_count": 1,
      "failed_document_offset": 10,
      "failure_id": 1,
      "format": "jsonl",
      "last_retry_at": null,
      "repair_kind": null,
      "repair_started_at": null,
      "retry_count": 0,
      "retryable": true,
      "s3_bucket": "acme-logs",
      "s3_etag": "\"5d41402a\"",
      "s3_key": "2026/01/15/app-bad.jsonl.gz",
      "source": "app-logs",
      "source_id": 12,
      "status": "failed",
      "tenant_id": "acme"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

tenant_id
string
required
Minimum string length: 1
status
string | null
default:failed
Minimum string length: 1
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

failures
IngestFailureItem · object[]
required